unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  with StatusBar1 do
   begin
    Panels.Add;
    Panels.Add;
    Panels.Add;
    Panels.Add; 
    Panels[0].Width:=90; //panel pierwszy ma szer. 90 pikseli
    Panels[1].Width:=55;
    Panels[2].Width:=70;
    Panels[Panels.Count-1].Alignment:=taRightJustify;//wyr. do prawej
    //dodatkowo wpisano tekst
    Panels[0].Text:='aaaa';
    Panels[1].Text:='bbbb';
    Panels[2].Text:='cccc';
    Panels[3].Text:='dddd      ';
   end;

end;

end.
